petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCreateTranspose

Creates a new matrix object that behaves like A'

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateTranspose(Mat A,Mat *N)

Collective on Mat

### Input Parameter

A -the (possibly rectangular) matrix

### Output Parameter

N -the matrix that represents A'

### Notes

The transpose A' is NOT actually formed! Rather the new matrix object performs the matrix-vector product by using the MatMultTranspose() on the original matrix

### See Also

MatCreateNormal(), MatMult(), MatMultTranspose(), MatCreate()

### Level

intermediate

### Location

src/mat/impls/transpose/transm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages